Skip to main content

Pagination

List endpoints return results in pages, controlled by the limit and offset query parameters.

ParameterDescriptionDefaultMinimumMaximum
limitNumber of items per page101100
offsetNumber of items to skip00200000
curl "https://carchost.fieldcontrol.com.br/customers?limit=20&offset=40" \
-H "X-Api-Key: SUA_CHAVE" \
-H "User-Agent: MinhaIntegracao/1.0"

To go through a whole list, repeat the request adding the value of limit to offset until offset is greater than or equal to totalCount. Example with 345 records and limit=100: offset=0, 100, 200 and 300.

Invalid values (non-numeric, negative or out of bounds) return 422 with the parametersValidationErr code.